com.lowagie.text.pdf.hyphenation

## Class Hyphen

- java.lang.Object
- - com.lowagie.text.pdf.hyphenation.Hyphen

All Implemented Interfaces:
  java.io.Serializable

    public class Hyphen
    extends java.lang.Object
    implements java.io.Serializable

This class represents a hyphen. A 'full' hyphen is made of 3 parts: the pre-break text, post-break text and no-break. If no line-break is generated at this position, the no-break text is used, otherwise, pre-break and post-break are used. Typically, pre-break is equal to the hyphen character and the others are empty. However, this general scheme allows support for cases in some languages where words change spelling if they're split across lines, like german's 'backen' which hyphenates 'bak-ken'. BTW, this comes from TeX.

Author:
  Carlos Villegas <cav@uniscope.co.jp>
See Also:
  Serialized Form

### Field Summary

Fields
`java.lang.String` `noBreak`
`java.lang.String` `postBreak`
`java.lang.String` `preBreak`
`private static long` `serialVersionUID`

### Constructor Summary

Constructors
Constructor and Description
`Hyphen(java.lang.String pre)`
`Hyphen(java.lang.String pre, java.lang.String no, java.lang.String post)`

### Method Summary

Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### preBreak

    public java.lang.String preBreak

#### noBreak

    public java.lang.String noBreak

#### postBreak

    public java.lang.String postBreak

### Constructor Detail

#### Hyphen

    Hyphen(java.lang.String pre,
          java.lang.String no,
          java.lang.String post)

#### Hyphen

    Hyphen(java.lang.String pre)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`